Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 634580 - x11-drivers/xf86-input-libinput-0.26.0 with -flto build failed: undefined references
Summary: x11-drivers/xf86-input-libinput-0.26.0 with -flto build failed: undefined ref...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: lto
  Show dependency tree
 
Reported: 2017-10-17 20:58 UTC by skobk.in
Modified: 2019-07-09 18:23 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log.gz,8.86 KB, application/gzip)
2017-10-17 20:58 UTC, skobk.in
Details

Note You need to log in before you can comment on or make changes to this bug.
Description skobk.in 2017-10-17 20:58:09 UTC
Created attachment 499026 [details]
build.log

# emerge --info
Unavailable repository 'calculate' referenced by masters entry in '/var/lib/layman/rasdark/metadata/layout.conf'
Portage 2.3.11 (python 3.4.6-final-0, default/linux/amd64/13.0/desktop/gnome/systemd, gcc-7.2.0, glibc-2.25-r7, 4.13.7-gentoo-skobkin x86_64)
=================================================================
System uname: Linux-4.13.7-gentoo-skobkin-x86_64-Intel-R-_Core-TM-_i7-4820K_CPU_@_3.70GHz-with-gentoo-2.4.1
KiB Mem:    32879208 total,  27039088 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Tue, 17 Oct 2017 07:15:01 +0000
Head commit of repository gentoo: 6cc9f077c14fc51c5ca1cd76a15cfea6c8acffc2
Head commit of repository tox-overlay: 8037d84a8fa2f8179a147f7d20276763ed3540d2

sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p1.0) 2.29.1
distcc 3.2rc1 x86_64-pc-linux-gnu [disabled]
ccache version 3.3.4 [disabled]
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.26.1::gentoo
dev-lang/python:          2.7.14::gentoo, 3.4.6::gentoo, 3.5.4::gentoo
dev-util/ccache:          3.3.4-r1::gentoo
dev-util/cmake:           3.9.4::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.33::gentoo
sys-apps/sandbox:         2.12::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.13.4-r1::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1::gentoo
sys-devel/gcc:            6.4.0::gentoo, 7.2.0::gentoo
sys-devel/gcc-config:     1.9.0::gentoo
sys-devel/libtool:        2.4.6-r4::gentoo
sys-devel/make:           4.2.1-r1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r7::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.ru.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts:

jorgicio
    location: /var/lib/layman/jorgicio
    masters: gentoo
    priority: 50

mva
    location: /var/lib/layman/mva
    sync-type: laymansync
    sync-uri: https://github.com/msva/mva-overlay
    masters: gentoo
    priority: 50

obs-studio-overlay
    location: /var/lib/layman/obs-studio-overlay
    masters: gentoo
    priority: 50

rasdark
    location: /var/lib/layman/rasdark
    sync-type: laymansync
    sync-uri: https://github.com/rasdark/overlay
    masters: gentoo
    priority: 50

rindeal
    location: /var/lib/layman/rindeal
    sync-type: laymansync
    sync-uri: https://github.com/rindeal/gentoo-overlay.git
    masters: gentoo
    priority: 50

ring-overlay
    location: /var/lib/layman/ring-overlay
    sync-type: laymansync
    sync-uri: https://github.com/stefan-langenmaier/ring-overlay.git
    masters: gentoo
    priority: 50

rion
    location: /var/lib/layman/rion
    sync-type: laymansync
    sync-uri: https://github.com/rion-overlay/rion-overlay.git
    masters: gentoo
    priority: 50

steam-overlay
    location: /var/lib/layman/steam-overlay
    masters: gentoo
    priority: 50

tox-overlay
    location: /var/lib/layman/tox-overlay
    sync-type: git
    sync-uri: git://github.com/Tox/gentoo-overlay-tox.git
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O3 -pipe -march=native -flto -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/chromium/policies/managed/chrome-gnome-shell.json /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/opt/chrome/policies/managed/chrome-gnome-shell.json /etc/php/apache2-php7.1/ext-active/ /etc/php/apache2-php7.2/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cgi-php7.2/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/php/cli-php7.2/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O3 -pipe -march=native -flto -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs cgroup compress-build-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync metadata-transfer multilib-strict news nodoc parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.yandex.ru/gentoo-distfiles/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/tmp"
USE="X a52 aac acl acpi amd64 avx bash-completion bluetooth branding bzip2 cairo cdda cdr cli colord cracklib crypt cups curl curlwrappers cxx dbus dga djvu dri dts dv dvd dvdr eds emboss encode evo exif fam fbcon ffmpeg firefox flac fortran gif git glamor gnome gnome-keyring gnome-online-accounts gnutls gpm gstreamer gtk gtk3 gzip hddtemp iconv idn imagemagick inotify introspection ipv6 jabber jit jpeg lame lcms libass libnotify libsecret lm_sensors lzma lzo mad matroska mhash mime mmap mmx mmxext mng modemmanager modules mp3 mp4 mpeg mplayer multilib nautilus ncurses networkmanager nls nptl ogg opengl openmp pam pango pch pcre pdf plasma png policykit posix ppds pulseaudio qt3support qt5 raw readline samba sasl sdl seccomp session sharedmem smp sockets sound spell sse sse2 sse3 sse4_1 ssl ssse3 startup-notification svg syslog systemd taglib tcmalloc tcpd theora threads tiff tracker truetype udev udisks unicode upnp upnp-av upower usb v4l vhosts videos vnc vorbis wayland wxwidgets x264 x265 xattr xcb xcomposite xft xinerama xml xmpp xv xvid xvmc zlib" ABI_X86="64 32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" ENLIGHTENMENT_MODULES="conf conf-window-manipulation conf-window-remembers" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev libinput" KERNEL="linux" L10N="en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-1" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4 python3_5" QEMU_SOFTMMU_TARGETS="x86_64" QEMU_USER_TARGETS="x86_64" RUBY_TARGETS="ruby23 ruby24" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Mike Gilbert gentoo-dev 2017-10-17 21:10:58 UTC
If you are building with -flto in your CFLAGS, adding the following settings to make.conf is a good idea, and will probably fix this build error.

AR="gcc-ar"
RANLIB="gcc-ranlib"
Comment 3 skobk.in 2017-10-17 21:59:28 UTC
> If you are building with -flto in your CFLAGS, adding the following settings to make.conf is a good idea, and will probably fix this build error.

Yeah. It helped. Thanks!
Comment 4 Chí-Thanh Christopher Nguyễn gentoo-dev 2017-10-18 03:05:29 UTC
The problem in the package is not resolved, so keeping this bug open
Comment 5 Matt Turner gentoo-dev 2019-07-09 18:23:17 UTC
Builds for me with CFLAGS="-O2 -march=native -pipe -flto" on gcc-8.3.0-r1.